Перейти к содержимому

Get Products

GET
/v2/products
curl --request GET \
--url 'https://api-admin.billz.ai/v2/products?page=1&limit=5&search=Nike&include_empty_stocks=false' \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Коды ошибок: 400 — ошибка валидации входных данных; 404 — объект не найден; 401, 403, 429, 500 — общие для всех методов. Форматы тела и семантика — Коды ответов и ошибки.

page
integer format: int32
default: 1

Номер страницы; нечисловое значение — 400

limit
integer format: int32
default: 100

Количество на страницу. Нечисловое значение -> 400

Example
5
search
string

Строка поиска. Ограничена по длине; повторяющиеся паттерны отклоняются

Example
Nike
fields
Array<string>

Поля поиска: name, sku, barcode, description, category, brand либо custom_field_id. Передаётся строкой через запятую

last_updated_date
string

Формат yyyy-mm-dd hh:mm:ss, UTC. Неверный формат — 400

include_empty_stocks
boolean

Строка true

platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Идентификатор платформы. Для интеграций используется статичное значение.

Успешный ответ

Media typeapplication/json
object
count

Количество товаров

integer format: int32
products

Список товаров

Array<object>
nullable
object
id

ИД товара

string
parent_id

ИД родителя (для вариаций)

string
categories

Категории товара

Array<object>
object
id
string
name
string
parent_id
string
brand_id

ИД бренда

string
brand_name

Название бренда

string
is_variative

Вариативный ли товар

boolean
name

Наименование

string
sku

Артикул

string
main_image_url

Главная фотография

string
main_image_url_full
string
barcode

Баркод

string
description

Описание

string
updated_at

Дата последнего обновления

string
measurement_unit

Единица измерения

object
id
string
name
string
short_name
string
product_type_id

ИД типа товара

string
shop_measurement_values

Остатки по точкам

Array<object>
object
shop_id
string
shop_name
string
active_measurement_value
number format: double
shop_prices

Цены по точкам

Array<object>
object
shop_id
string
shop_name
string
retail_price
number format: double
retail_currency
string
supply_price
number format: double
supply_currency
string
promo_price
number format: double
promos

Акции

Array<object>
nullable
object
id
string
external_id
string
name
string
discount_value
number format: double
discount_type
string
shop_ids
Array<string>
product_attributes

Атрибуты вариации

Array<object>
object
attribute_id
string
attribute_value_id
string
attribute_value
string
attribute_name
string
custom_fields

Кастомные характеристики

Array<object>
nullable
object
custom_field_name
string
custom_field_system_name
string
custom_field_id
string
custom_field_value
string
from_parent
boolean
is_marked
boolean
photos

Фотографии

Array<object>
object
photo_url
string
sequence
integer format: int32
is_main
boolean
supply_price

Закупочная цена

number format: double
supply_currency

Валюта закупки

string
suppliers

Поставщики

Array<object>
object
id
string
company_id
string
name
string
session_id
string
deleted_at
integer format: int64
product_supplier_stock

Остатки по поставщикам

Array<object>
nullable
object
supplier_id
string
supplier_name
string
shop_id
string
measurement_value
number format: double
min_supply_price
number format: double
max_supply_price
number format: double
retail_price
number format: double
wholesale_price
number format: double
Examplegenerated
{
"count": 1,
"products": [
{
"id": "example",
"parent_id": "example",
"categories": [
{
"id": "example",
"name": "example",
"parent_id": "example"
}
],
"brand_id": "example",
"brand_name": "example",
"is_variative": true,
"name": "example",
"sku": "example",
"main_image_url": "example",
"main_image_url_full": "example",
"barcode": "example",
"description": "example",
"updated_at": "example",
"measurement_unit": {
"id": "example",
"name": "example",
"short_name": "example"
},
"product_type_id": "example",
"shop_measurement_values": [
{
"shop_id": "example",
"shop_name": "example",
"active_measurement_value": 1
}
],
"shop_prices": [
{
"shop_id": "example",
"shop_name": "example",
"retail_price": 1,
"retail_currency": "example",
"supply_price": 1,
"supply_currency": "example",
"promo_price": 1,
"promos": [
{
"id": "example",
"external_id": "example",
"name": "example",
"discount_value": 1,
"discount_type": "example",
"shop_ids": [
"example"
]
}
]
}
],
"product_attributes": [
{
"attribute_id": "example",
"attribute_value_id": "example",
"attribute_value": "example",
"attribute_name": "example"
}
],
"custom_fields": [
{
"custom_field_name": "example",
"custom_field_system_name": "example",
"custom_field_id": "example",
"custom_field_value": "example",
"from_parent": true
}
],
"is_marked": true,
"photos": [
{
"photo_url": "example",
"sequence": 1,
"is_main": true
}
],
"supply_price": 1,
"supply_currency": "example",
"suppliers": [
{
"id": "example",
"company_id": "example",
"name": "example",
"session_id": "example",
"deleted_at": 1
}
],
"product_supplier_stock": [
{
"supplier_id": "example",
"supplier_name": "example",
"shop_id": "example",
"measurement_value": 1,
"min_supply_price": 1,
"max_supply_price": 1,
"retail_price": 1,
"wholesale_price": 1
}
]
}
]
}